%define major	1
%define libname	%mklibname cerf %{major}
%define devname	%mklibname cerf -d

Name:		libcerf
Summary:	Complex error functions, Dawson, Faddeeva, and Voigt function
Version:	1.3
Release:	1
Group:		System/Libraries
License:	MIT
Url:		http://sourceforge.net/projects/libcerf/
Source0:	http://downloads.sourceforge.net/libcerf/libcerf-%{version}.tgz
Patch0:		libcerf-1.3-fix-version.patch

%description
A self-contained C library providing complex error functions, based on
Faddeeva's plasma dispersion function w(z).

Also provides Dawson's integral and Voigt's convolution of a Gaussian
and a Lorentzian.

%package -n %{libname}
Summary:	Complex error functions, Dawson, Faddeeva, and Voigt function
Group:		System/Libraries

%description -n %{libname}
A self-contained C library providing complex error functions, based on
Faddeeva's plasma dispersion function w(z).

Also provides Dawson's integral and Voigt's convolution of a Gaussian
and a Lorentzian.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x
%make

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}%{_mandir}/html/

%files -n %{libname}
%doc CHANGELOG README
%doc COPYING
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%{_includedir}/cerf.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*

%changelog

* Tue Nov 10 2015 Denis Silakov <dsilakov@gmail.com> 1.3-1
- (0c0d142) Imported from SRPM


